The NetBSD Project

CVS log for pkgsrc/devel/ruby-readline/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / ruby-readline

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.54 / (download) - annotate - [select for diffs], Mon Dec 28 08:20:48 2020 UTC (8 months, 3 weeks ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2021Q2-base, pkgsrc-2021Q2, pkgsrc-2021Q1-base, pkgsrc-2021Q1, pkgsrc-2020Q4-base, pkgsrc-2020Q4, HEAD
Changes since 1.53: +1 -3 lines
Diff to previous 1.53 (colored)

Remove extra RUBY_VERSIONS_ACCEPTED.

Revision 1.53 / (download) - annotate - [select for diffs], Thu May 21 15:51:52 2020 UTC (16 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2020Q3-base, pkgsrc-2020Q3, pkgsrc-2020Q2-base, pkgsrc-2020Q2
Changes since 1.52: +2 -2 lines
Diff to previous 1.52 (colored)

remove ruby24 support.

Revision 1.52 / (download) - annotate - [select for diffs], Sun Mar 15 16:42:10 2020 UTC (18 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2020Q1-base, pkgsrc-2020Q1
Changes since 1.51: +2 -2 lines
Diff to previous 1.51 (colored)

Drop support for ruby22.

Revision 1.51 / (download) - annotate - [select for diffs], Sun Mar 15 15:29:11 2020 UTC (18 months ago) by taca
Branch: MAIN
Changes since 1.50: +2 -2 lines
Diff to previous 1.50 (colored)

Allow build package with ruby27-base

Revision 1.50 / (download) - annotate - [select for diffs], Sun Apr 14 15:32:29 2019 UTC (2 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.49: +2 -2 lines
Diff to previous 1.49 (colored)

devel/ruby-readline: drop support for ruby23

Drop support for ruby23.

Revision 1.49 / (download) - annotate - [select for diffs], Sun Feb 3 22:20:35 2019 UTC (2 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1
Changes since 1.48: +2 -2 lines
Diff to previous 1.48 (colored)

Add missing Ruby 2.6 support.

Revision 1.48 / (download) - annotate - [select for diffs], Sun Jan 13 02:36:28 2019 UTC (2 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.47: +3 -1 lines
Diff to previous 1.47 (colored)

lang/ruby22: explicitly specify RUBY_VERSIONS_ACCEPTED

Explicitly specify RUBY_VERSIONS_ACCEPTED to all versions.

Revision 1.47 / (download) - annotate - [select for diffs], Fri Sep 15 00:37:14 2017 UTC (4 years ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3
Changes since 1.46: +1 -2 lines
Diff to previous 1.46 (colored)

Reset PKGREVISION.

Revision 1.46 / (download) - annotate - [select for diffs], Tue May 30 15:46:21 2017 UTC (4 years, 3 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2017Q2-base, pkgsrc-2017Q2
Changes since 1.45: +2 -2 lines
Diff to previous 1.45 (colored)

Replace RUBY_VERSION_FULL with RUBY_VERSION since there is no
RUBY_VERSION_FULL contains Ruby's patchlevel.

Revision 1.45 / (download) - annotate - [select for diffs], Tue May 30 14:19:51 2017 UTC (4 years, 3 months ago) by taca
Branch: MAIN
Changes since 1.44: +3 -7 lines
Diff to previous 1.44 (colored)

* Remove code for ruby18.
* Drop setting RUBY_VERSIONS_ACCEPTED since it is now default value.

Revision 1.44 / (download) - annotate - [select for diffs], Sat Apr 22 18:27:04 2017 UTC (4 years, 4 months ago) by taca
Branch: MAIN
Changes since 1.43: +2 -2 lines
Diff to previous 1.43 (colored)

Remove 18 from RUBY_VERSIONS_ACCEPTED.

Revision 1.43 / (download) - annotate - [select for diffs], Thu Sep 8 15:19:17 2016 UTC (5 years ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3
Changes since 1.42: +2 -2 lines
Diff to previous 1.42 (colored)

Rename RUBY_VERSION_SUPPORTED into _RUBY_VERSIONS_ACCEPTED to follow the
naming scheme of the other multi-version packages. Add support for the
coorresponding RUBY_VERSIONS_INCOMPATIBLE list.

Revision 1.42 / (download) - annotate - [select for diffs], Mon Mar 14 00:59:06 2016 UTC (5 years, 6 months ago) by tnn
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.41: +2 -2 lines
Diff to previous 1.41 (colored)

remove references to ruby200

Revision 1.41 / (download) - annotate - [select for diffs], Wed Dec 30 15:03:13 2015 UTC (5 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.40: +2 -2 lines
Diff to previous 1.40 (colored)

Add support for ruby23.

Revision 1.40 / (download) - annotate - [select for diffs], Tue Dec 29 12:13:30 2015 UTC (5 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.39: +1 -2 lines
Diff to previous 1.39 (colored)

Since DISTINFO_FILE is defined in lang/ruby/Makefile.common, no need to
define it here.

Revision 1.39 / (download) - annotate - [select for diffs], Mon Nov 23 15:46:59 2015 UTC (5 years, 9 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.38: +2 -2 lines
Diff to previous 1.38 (colored)

Remove 193 from RUBY_VERSION_SUPPORTED.

Revision 1.38 / (download) - annotate - [select for diffs], Sun Mar 8 16:29:40 2015 UTC (6 years, 6 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2, pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.37: +10 -3 lines
Diff to previous 1.37 (colored)

Fix build with ruby21-base.

Revision 1.37 / (download) - annotate - [select for diffs], Sat Apr 12 16:37:46 2014 UTC (7 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.36: +2 -1 lines
Diff to previous 1.36 (colored)

Fix some problems and clean up.

* RUBY_VER dose not take "19" any more.
* Make readline PKG_OPTION work as it should be.
* Always include readline.buildlink3.mk.

Bump PKGREVISION.

Revision 1.36 / (download) - annotate - [select for diffs], Mon Jul 15 02:02:21 2013 UTC (8 years, 2 months ago) by ryoon
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.35: +1 -2 lines
Diff to previous 1.35 (colored)

* .include "../../devel/readline/buildlink3.mk" with USE_GNU_READLINE=yes
  are replaced with .include "../../devel/readline/buildlink3.mk", and
  USE_GNU_READLINE are removed,

* .include "../../devel/readline/buildlink3.mk" without USE_GNU_READLINE
  are replaced with .include "../../mk/readline.buildlink3.mk".

Revision 1.35 / (download) - annotate - [select for diffs], Thu Jun 27 16:37:16 2013 UTC (8 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.34: +1 -2 lines
Diff to previous 1.34 (colored)

Reset PKGREVISION by update of both ruby18 and ruby193.

Revision 1.34 / (download) - annotate - [select for diffs], Wed Oct 31 11:19:43 2012 UTC (8 years, 10 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.33: +1 -3 lines
Diff to previous 1.33 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.33 / (download) - annotate - [select for diffs], Sun May 13 08:37:03 2012 UTC (9 years, 4 months ago) by sbd
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2
Changes since 1.32: +2 -2 lines
Diff to previous 1.32 (colored)

To use the options framework bsd.options.mk must be include.

Also only add '--enable-libedit' to the configure args if the builtin
readline is libedit.

Bump PKGREVISION.

Revision 1.32 / (download) - annotate - [select for diffs], Sun Apr 29 16:43:49 2012 UTC (9 years, 4 months ago) by taca
Branch: MAIN
Changes since 1.31: +3 -2 lines
Diff to previous 1.31 (colored)

Don't enable "readline" option default if RUBY_VER is prior to 193.

Ruby 1.9.3 changes its license and solve the problem with GPL3 of readline
license.  But Ruby 1.9.2/1.8.7 dosen't solve this problem.

If you want to use ruby-readline with GNU readline on ruby18 or ruby192,
please explictly set "readline" PKG_OPTION.

Fix PR pkg/41943.

Bump PKGREVISION.

Revision 1.31 / (download) - annotate - [select for diffs], Sat Feb 18 06:55:15 2012 UTC (9 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.30: +3 -2 lines
Diff to previous 1.30 (colored)

Use RUBY_EXTNAME in databases/ruby-gdbm/Makefile and
devel/ruby-readline/Makefile.

Revision 1.30 / (download) - annotate - [select for diffs], Tue Nov 8 16:34:47 2011 UTC (9 years, 10 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2011Q4-base, pkgsrc-2011Q4
Changes since 1.29: +2 -2 lines
Diff to previous 1.29 (colored)

Change RUBY_VERSION_SUFFIX to RUBY_VERSION_FULL.

Revision 1.29 / (download) - annotate - [select for diffs], Fri Sep 10 03:32:30 2010 UTC (11 years ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2011Q3-base, pkgsrc-2011Q3, pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3
Changes since 1.28: +1 -3 lines
Diff to previous 1.28 (colored)

* Remove RUBY_HAS_ARCHLIB.
* Reset PKGREVISION along with implicit update of this package to 1.8.7.302.

Revision 1.28 / (download) - annotate - [select for diffs], Sun Sep 13 01:51:05 2009 UTC (12 years ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2010Q2-base, pkgsrc-2010Q2, pkgsrc-2010Q1-base, pkgsrc-2010Q1, pkgsrc-2009Q4-base, pkgsrc-2009Q4, pkgsrc-2009Q3-base, pkgsrc-2009Q3
Changes since 1.27: +3 -1 lines
Diff to previous 1.27 (colored)

Add readline option which enable use of devel/readline package and enable
it default since editline lacks some functionality, especially multibytes
character processing.

Bump PKGREVISION.

Revision 1.27 / (download) - annotate - [select for diffs], Wed Jun 10 12:48:07 2009 UTC (12 years, 3 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2009Q2-base, pkgsrc-2009Q2
Changes since 1.26: +1 -2 lines
Diff to previous 1.26 (colored)

Update ruby-readline package to 1.8.7.173 (1.8.7-p173).

Reset PKGREVISION.

Revision 1.26 / (download) - annotate - [select for diffs], Wed May 20 00:58:14 2009 UTC (12 years, 4 months ago) by wiz
Branch: MAIN
Changes since 1.25: +2 -1 lines
Diff to previous 1.25 (colored)

Recursive ABI depends update and PKGREVISION bump for readline-6.0 shlib
major change.

Reported by Robert Elz in PR 41345.

Revision 1.25 / (download) - annotate - [select for diffs], Fri Jun 20 15:41:55 2008 UTC (13 years, 3 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2009Q1-base, pkgsrc-2009Q1, pkgsrc-2008Q4-base, pkgsrc-2008Q4, pkgsrc-2008Q3-base, pkgsrc-2008Q3, pkgsrc-2008Q2-base, pkgsrc-2008Q2, cwrapper, cube-native-xorg-base, cube-native-xorg
Changes since 1.24: +2 -1 lines
Diff to previous 1.24 (colored)

Update distinfo for Ruby 1.8.7 patchlevel 22 with sharing distinfo file
with lang/ruby18-base package.

Revision 1.24 / (download) - annotate - [select for diffs], Thu Jun 19 14:37:16 2008 UTC (13 years, 3 months ago) by taca
Branch: MAIN
Changes since 1.23: +3 -3 lines
Diff to previous 1.23 (colored)

Update ruby18-readline package to 1.8.7.

Since chanes are too much to write here, please refer

	http://svn.ruby-lang.org/repos/ruby/tags/v1_8_7/NEWS
	http://svn.ruby-lang.org/repos/ruby/tags/v1_8_7/ChangeLog

	http://svn.ruby-lang.org/repos/ruby/tags/v1_8_7_17/NEWS
	http://svn.ruby-lang.org/repos/ruby/tags/v1_8_7_17/ChangeLog

Revision 1.23 / (download) - annotate - [select for diffs], Thu Mar 13 21:04:40 2008 UTC (13 years, 6 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2008Q1-base, pkgsrc-2008Q1
Changes since 1.22: +5 -3 lines
Diff to previous 1.22 (colored)

Support user-destdir installation.

Revision 1.22 / (download) - annotate - [select for diffs], Thu Mar 15 16:42:59 2007 UTC (14 years, 6 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2007Q4-base, pkgsrc-2007Q4, pkgsrc-2007Q3-base, pkgsrc-2007Q3, pkgsrc-2007Q2-base, pkgsrc-2007Q2, pkgsrc-2007Q1-base, pkgsrc-2007Q1
Changes since 1.21: +1 -2 lines
Diff to previous 1.21 (colored)

Updating Ruby to 1.8.6; ruby18-readline

- discontinue use of RUBY_PATCH_DATE.
- Introduce RUBY_PATCH_LEVEL.

pkgsrc's ruby tracks Ruby's patch release and avoid to maintain
its own patch files (with RUBY_PATCH_DATE).

Changes are too much, please see ChangeLog file.

Revision 1.21 / (download) - annotate - [select for diffs], Wed Dec 13 10:55:51 2006 UTC (14 years, 9 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2006Q4-base, pkgsrc-2006Q4
Changes since 1.20: +2 -1 lines
Diff to previous 1.20 (colored)

Improve checking of some "rl_*" gnu readline compatible functions.
It should fix PR pkg/35244.

Bump PKGREVISION.

Revision 1.19.8.1 / (download) - annotate - [select for diffs], Sat Dec 9 10:17:47 2006 UTC (14 years, 9 months ago) by salo
Branch: pkgsrc-2006Q3
Changes since 1.19: +2 -2 lines
Diff to previous 1.19 (colored) next main 1.20 (colored)

Pullup ticket 1943 - requested by taca
security update for ruby18

Revisions pulled up:
- pkgsrc/lang/ruby/Makefile				1.41
- pkgsrc/lang/ruby/rubyversion.mk			1.29, 1.30
- pkgsrc/lang/ruby18-base/Makefile			1.29
- pkgsrc/lang/ruby18-base/PLIST				1.9
- pkgsrc/lang/ruby18-base/PLIST.common_end		1.2
- pkgsrc/lang/ruby18-base/distinfo			1.17
- pkgsrc/lang/ruby18-base/options.mk			1.1
- pkgsrc/lang/ruby18-base/patches/patch-af		1.1
- pkgsrc/lang/ruby18-base/patches/patch-bl		removed
- pkgsrc/lang/ruby18/Makefile				1.15
- pkgsrc/databases/ruby-gdbm/Makefile			1.15
- pkgsrc/databases/ruby-gdbm/distinfo			1.1
- pkgsrc/devel/ruby-curses/Makefile			1.10
- pkgsrc/devel/ruby-curses/distinfo			1.7
- pkgsrc/devel/ruby-mode/Makefile			1.15
- pkgsrc/devel/ruby-mode/distinfo			1.6
- pkgsrc/devel/ruby-readline/Makefile			1.20
- pkgsrc/devel/ruby-readline/distinfo			1.13
- pkgsrc/devel/ruby-readline/patches/patch-aa		1.5
- pkgsrc/x11/ruby-tk/Makefile				1.25, 1.26
- pkgsrc/x11/ruby-tk/PLIST				1.7
- pkgsrc/x11/ruby-tk/distinfo				1.11
- pkgsrc/mk/defaults/options.description		1.130

   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:25:26 UTC 2006

   Modified Files:
   	pkgsrc/databases/ruby-gdbm: Makefile
   Added Files:
   	pkgsrc/databases/ruby-gdbm: distinfo

   Log Message:
   Update ruby-gdbm package to 1.8.5.20061205:

   - rdoc addition and trivial change.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:28:18 UTC 2006

   Modified Files:
   	pkgsrc/devel/ruby-curses: Makefile distinfo

   Log Message:
   Update ruby-curses package to 1.8.5.20061205:

   - Fixed colose_set method always returns false.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:36:41 UTC 2006

   Modified Files:
   	pkgsrc/devel/ruby-mode: Makefile
   Added Files:
   	pkgsrc/devel/ruby-mode: distinfo

   Log Message:
   Update ruby-mode package to 1.8.5.20061205.

   Tue Dec  5 00:59:05 2006  Yukihiro Matsumoto  <matz@ruby-lang.org>

   	* misc/ruby-mode.el (ruby-parse-partial): need to parse "/=" as
   	  self assignment operator, not regex.  [ruby-talk:227324]

   Wed Sep 13 18:25:18 2006  Yukihiro Matsumoto  <matz@ruby-lang.org>

   	* misc/ruby-mode.el (ruby-parse-partial): better here-doc support.
   	  a patch from Marshall T. Vandegrift <llasram at gmail.com>.
   	  [ruby-core:08804]
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:31:34 UTC 2006

   Modified Files:
   	pkgsrc/devel/ruby-readline: Makefile distinfo
   	pkgsrc/devel/ruby-readline/patches: patch-aa

   Log Message:
   Update ruby-readline package to 1.8.5.20061205:

   - No change with 20061205 patch.
   - Disable checking rl_filename_completion_function() to prevent compile
     error.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:34:42 UTC 2006

   Modified Files:
   	pkgsrc/lang/ruby: Makefile

   Log Message:
   Update ruby package to 1.8.5.20061205.  No change for this wrapper package.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:17:17 UTC 2006

   Modified Files:
   	pkgsrc/lang/ruby: rubyversion.mk

   Log Message:
   - Handle patchlevel which has introduced to Ruby.
   - Introduce RUBY_PATCH_DATE and RUBY_VERSION_SUFFIX.
   - Change _RUBY_VERS_TEENY to _RUBY_VER_TEENY as other version variable
     like RUBY_VER_MAJOR.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:19:50 UTC 2006

   Modified Files:
   	pkgsrc/lang/ruby: rubyversion.mk

   Log Message:
   Update RUBY18_PATCH_DATE to 20061205, starting update of Ruby.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:34:09 UTC 2006

   Modified Files:
   	pkgsrc/lang/ruby18: Makefile

   Log Message:
   Update ruby18 package to 1.8.5.20061205.  No change for this meta pacakge
   itself.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:24:27 UTC 2006

   Modified Files:
   	pkgsrc/lang/ruby18-base: Makefile PLIST PLIST.common_end distinfo
   Added Files:
   	pkgsrc/lang/ruby18-base: options.mk
   	pkgsrc/lang/ruby18-base/patches: patch-af
   Removed Files:
   	pkgsrc/lang/ruby18-base/patches: patch-bl

   Log Message:
   o Update ruby18-base pacakge to Ruby 1.8 branch 2006/12/05.

   	- Many changes from 2006/9/6; see Changes file, please.
   	- Fixes another cgi.rb vulnerability:
   		http://jvn.jp/jp/JVN%2384798830/index.html

   o Introduce ruby-build-ri-db PKG_OPTION which enable installing database
     for Ruby's ri utility.  Default is disabled and should be fix
     PR pkg/34587.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 17:00:54 UTC 2006

   Modified Files:
   	pkgsrc/mk/defaults: options.description

   Log Message:
   Add description of ruby-build-ri-db.
---
   Module Name:		pkgsrc
   Committed By:	tv
   Date:		Fri Nov 10 16:54:54 UTC 2006

   Modified Files:
   	pkgsrc/x11/ruby-tk: Makefile

   Log Message:
   Use find -print | xargs rather than find -exec.
---
   Module Name:		pkgsrc
   Committed By:	taca
   Date:		Wed Dec  6 16:33:16 UTC 2006

   Modified Files:
   	pkgsrc/x11/ruby-tk: Makefile PLIST distinfo

   Log Message:
   Update ruby-tk package to 1.8.5.20061205:

   Changes are huge, please see Changes.

   - pkgsrc change; fix permission of a image file.

Revision 1.20 / (download) - annotate - [select for diffs], Wed Dec 6 16:31:34 2006 UTC (14 years, 9 months ago) by taca
Branch: MAIN
Changes since 1.19: +2 -2 lines
Diff to previous 1.19 (colored)

Update ruby-readline package to 1.8.5.20061205:

- No change with 20061205 patch.
- Disable checking rl_filename_completion_function() to prevent compile
  error.

Revision 1.19 / (download) - annotate - [select for diffs], Wed Nov 2 09:13:06 2005 UTC (15 years, 10 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2006Q3-base, pkgsrc-2006Q2-base, pkgsrc-2006Q2, pkgsrc-2006Q1-base, pkgsrc-2006Q1, pkgsrc-2005Q4-base, pkgsrc-2005Q4
Branch point for: pkgsrc-2006Q3
Changes since 1.18: +1 -2 lines
Diff to previous 1.18 (colored)

Reset PKGREVISION by updating Ruby 1.8.3.

Revision 1.18 / (download) - annotate - [select for diffs], Wed Nov 2 08:59:04 2005 UTC (15 years, 10 months ago) by taca
Branch: MAIN
Changes since 1.17: +1 -2 lines
Diff to previous 1.17 (colored)

- Update to Ruby 1.8.3.
- Don't make always use GNU readline.

Revision 1.17 / (download) - annotate - [select for diffs], Mon Apr 11 21:45:38 2005 UTC (16 years, 5 months ago) by tv
Branch: MAIN
CVS Tags: pkgsrc-2005Q3-base, pkgsrc-2005Q3, pkgsrc-2005Q2-base, pkgsrc-2005Q2
Changes since 1.16: +1 -2 lines
Diff to previous 1.16 (colored)

Remove USE_BUILDLINK3 and NO_BUILDLINK; these are no longer used.

Revision 1.16 / (download) - annotate - [select for diffs], Sun Mar 6 17:19:06 2005 UTC (16 years, 6 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2005Q1-base, pkgsrc-2005Q1
Changes since 1.15: +2 -1 lines
Diff to previous 1.15 (colored)

Bump PKGREVISION with introduce of ruby16-base/ruby18-base pacakge.

Revision 1.15 / (download) - annotate - [select for diffs], Sun Mar 6 13:01:06 2005 UTC (16 years, 6 months ago) by taca
Branch: MAIN
Changes since 1.14: +3 -3 lines
Diff to previous 1.14 (colored)

Cosmetic change with pkglint(1).

Revision 1.14 / (download) - annotate - [select for diffs], Sun Jan 23 17:33:19 2005 UTC (16 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.13: +3 -2 lines
Diff to previous 1.13 (colored)

Update Ruby 1.8.2.

This is basically bug fix release, but official changes aren't provided
yet.  Please refer ChangeLog.

Here is pkgsrc changes:

o Set RUBY_HAS_ARCHLIB=yes for Ruby packages including archtecture depending
  extention library in order to depend more specific Ruby.

o Now install database for ri(1).  Fix PR pkg/28566.

o Net::IMAP

	* lib/net/imap.rb (u8tou16): fixed typo. fixed: [ruby-list:40546]

o NKF:

	* ext/nkf/nkf-utf8/nkf.c (reinit): should initialize all static
	  variables.  fixed: [ruby-list:40445]

	* ext/nkf/lib/kconv.rb (Kconv::RegexpEucjp): second byte is up to
	  0xfe.

	* ext/nkf/lib/kconv.rb (Kconv#kconv): should handle UTF8 and UTF16
	  properly.

o WEBrick

	* lib/webrick/httpauth/htpasswd.rb (WEBrick::Htpasswd#reload):
	  raise NotImplementedError if password is encrypted by digest
	  algorithms. This patch is contributed by sheepman. [ruby-list:40467]

	* lib/webrick/httpauth/digestauth.rb
	  (WEBrick::HTTPAuth::DigestAuth#_authenticate): fix digest calculation.
	  This patch is contributed by sheepman. [ruby-list:40482]

	* lib/webrick/{httpauth.rb,httpauth/basicauth.rb,httpproxy.rb}: use
	  pack/unpack-template char "m" instead of lib/base64.rb to do base64
	  encoding/decoding. fixed: [ruby-dev:25336]

Revision 1.13 / (download) - annotate - [select for diffs], Sat Nov 27 14:38:46 2004 UTC (16 years, 9 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2004Q4-base, pkgsrc-2004Q4
Changes since 1.12: +8 -10 lines
Diff to previous 1.12 (colored)

Update ruby-readline pacakge with new framework for Ruby packages.

Revision 1.12 / (download) - annotate - [select for diffs], Sun Oct 3 00:13:33 2004 UTC (16 years, 11 months ago) by tv
Branch: MAIN
Changes since 1.11: +2 -2 lines
Diff to previous 1.11 (colored)

Libtool fix for PR pkg/26633, and other issues.  Update libtool to 1.5.10
in the process.  (More information on tech-pkg.)

Bump PKGREVISION and BUILDLINK_DEPENDS of all packages using libtool and
installing .la files.

Bump PKGREVISION (only) of all packages depending directly on the above
via a buildlink3 include.

Revision 1.11 / (download) - annotate - [select for diffs], Tue Apr 27 03:09:58 2004 UTC (17 years, 4 months ago) by snj
Branch: MAIN
CVS Tags: pkgsrc-2004Q3-base, pkgsrc-2004Q3, pkgsrc-2004Q2-base, pkgsrc-2004Q2
Changes since 1.10: +4 -4 lines
Diff to previous 1.10 (colored)

Convert to buildlink3.

Revision 1.10 / (download) - annotate - [select for diffs], Tue Mar 16 02:01:10 2004 UTC (17 years, 6 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2004Q1-base, pkgsrc-2004Q1
Changes since 1.9: +2 -2 lines
Diff to previous 1.9 (colored)

Add ruby to CATEGORIES.

Revision 1.9 / (download) - annotate - [select for diffs], Fri Mar 12 05:02:55 2004 UTC (17 years, 6 months ago) by taca
Branch: MAIN
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

Bump pacakge revision with ruby-base package's update.

Revision 1.8 / (download) - annotate - [select for diffs], Tue Jan 20 12:13:29 2004 UTC (17 years, 8 months ago) by agc
Branch: MAIN
Changes since 1.7: +2 -2 lines
Diff to previous 1.7 (colored)

Move WRKSRC definition away from the first paragraph in a Makefile.

Revision 1.7 / (download) - annotate - [select for diffs], Fri Dec 19 12:04:20 2003 UTC (17 years, 9 months ago) by sketch
Branch: MAIN
Changes since 1.6: +2 -2 lines
Diff to previous 1.6 (colored)

Bump PKGREVISION for packages which install files into RUBY_ARCHLIBDIR,
which has changed for Solaris installs.

Revision 1.6 / (download) - annotate - [select for diffs], Thu Jul 17 21:33:47 2003 UTC (18 years, 2 months ago) by grant
Branch: MAIN
CVS Tags: pkgsrc-2003Q4-base, pkgsrc-2003Q4
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

s/netbsd.org/NetBSD.org/

Revision 1.5 / (download) - annotate - [select for diffs], Sun Jul 13 13:51:26 2003 UTC (18 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.4: +2 -1 lines
Diff to previous 1.4 (colored)

PKGREVISION bump for libiconv update.

Revision 1.4 / (download) - annotate - [select for diffs], Sat Mar 29 12:40:39 2003 UTC (18 years, 5 months ago) by jmmv
Branch: MAIN
Changes since 1.3: +2 -2 lines
Diff to previous 1.3 (colored)

Place WRKSRC where it belongs, to make pkglint happy; ok'ed by wiz.

Revision 1.3 / (download) - annotate - [select for diffs], Fri Oct 25 18:33:29 2002 UTC (18 years, 11 months ago) by wiz
Branch: MAIN
CVS Tags: netbsd-1-6-1-base, netbsd-1-6-1
Changes since 1.2: +4 -5 lines
Diff to previous 1.2 (colored)

buildlink1 -> buildlink2.

Revision 1.2 / (download) - annotate - [select for diffs], Sun Dec 30 16:23:59 2001 UTC (19 years, 8 months ago) by taca
Branch: MAIN
CVS Tags: pkgviews-base, pkgviews, netbsd-1-6-RELEASE-base, netbsd-1-6, netbsd-1-5-PATCH003, buildlink2-base, buildlink2
Changes since 1.1: +6 -4 lines
Diff to previous 1.1 (colored)

update ruby-readline package to 1.6.6.  (This is really part of ruby
distribution.)

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Sat Jun 30 08:18:27 2001 UTC (20 years, 2 months ago) by taca
Branch: TNF
CVS Tags: pkgsrc-base
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Importing Ruby extension to readline library.

	This will be part of ruby meta-package.


Revision 1.1 / (download) - annotate - [select for diffs], Sat Jun 30 08:18:27 2001 UTC (20 years, 2 months ago) by taca
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>